Description
AutoTarget

1) Being able to toggle on via checkbox, collision checking. (I know it doesn't always work consistenly, but there are times where
having it would be beneficial to me.

2) A checkbox to only target those whare are currently engaged with my group.
Auto Target When Hated

1) Target mobs that are attacking group member pets.

History

#1 - 2016-07-18 01:06 PM - Kannkor

- Status changed from New to In Progress

CheckCollision is coded but currently bugged in ISXEQ2.

| can't do the AutoTarget only mobs with targets of group until | rewrite AutoTargetWhenHated and will have it include pets, then AutoTarget can just
use that function also.

(AutoTarget When Hated is one of the ugliest most terrible pieces of code | ever wrote a million years ago).

#2 - 2016-07-24 02:39 PM - Kannkor

Following will be in version 17.103

* AutoTarget (Ogrebot -AutoTarget tab)

** Added [AG] Aggro On Ally Only

*** This means Autotarget will NOT work unless the NPC has a target for an ally. This includes your pets, group members, group member pets, raid
members, raid member pets. It *should* work for mercs and charmed pets also, but those are untested.

*** This option is for individual entries. So you could specify, a named NPC to only target if it's aggro on ally, but have the adds that named spawn as
not. So you wouldn't accidentally engage, but you would tag the adds the second they spawn.

#3 - 2016-07-24 03:05 PM - Kannkor

Also will in version 17.103

* Auto Target When Hated

** Generally works the same, but completely rewritten to give more options and be MUCH more efficient. Here are the details of what it does. Added
[NEW] tags to things that are new.

*** Only activates if you have no target at all.

*** Distance is currently hardcoded to 30.

*** Only monitors NPCs, not pets.

*** INEW] Now monitors all allys, including your pets, group/raid member pets. Should work for charmed pets and mercs also.

*** INEW] Removed the health check requirement. Since they would be dead and not NPCs. Who knows why it existed previously!

#4 - 2016-07-24 03:06 PM - Kannkor
Collision is mostly implemented but hidden until this is resolved:

https://forge.isxgames.com/issues/1674
